Skip to main content
GET
Retrieve a card iframe url
Authentication: API key OAuth 2.0
Scope: card.read
You can control which PIN-related actions are available to the cardholder within the iframe by appending optional query parameters to the iframe URL returned by this endpoint.
  • canSeePin=true: Displays a button allowing the cardholder to see the pin
  • canSetPin=true: Displays a button allowing the cardholder to set or update the card’s pin
Note that HTML encoding is applied to the URL, replacing &, <, and > with \u0026, \u003c, and \u003e respectively. We recommend the following size for the iframe:
  • Height - 460px
  • Width - 504px
This size will ensure an optimum UX within the iframe for both the card view and Stong Customer Authentication experience.
This endpoint is still in beta. Please get in touch with our team if you have any question or feedback: here.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Accept-Language
string
required

Language to be used to display the preview. Languages supported: en, it, es, de, fr, pt

Path Parameters

id
string<uuid>
required

Unique card identifier

Response

Returns the iframe url of the card idendified by the id path parameter.

iframe_url
string